commit:     c7cd94f46d5f20d83b34afc505a66e6dab6f77fd
Author:     Adrian Schollmeyer <nex+b-g-o <AT> nexadn <DOT> de>
AuthorDate: Thu Jun 30 09:30:48 2022 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon Jul  4 13:55:06 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7cd94f4

sys-process/btop: add 1.2.8

Signed-off-by: Adrian Schollmeyer <nex+b-g-o <AT> nexadn.de>
Closes: https://github.com/gentoo/gentoo/pull/26162
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 sys-process/btop/Manifest          |  1 +
 sys-process/btop/btop-1.2.8.ebuild | 44 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/sys-process/btop/Manifest b/sys-process/btop/Manifest
index 7ac2b8e4e579..bcc4fb50a4dd 100644
--- a/sys-process/btop/Manifest
+++ b/sys-process/btop/Manifest
@@ -1 +1,2 @@
 DIST btop-1.2.7.tar.gz 974883 BLAKE2B 
c23c0b13ee6749e30ca8a7624f27bac8dc81466ff957a042c9c5e4f7c31b81fc6c15d6b214186e4baed474263ea96a3ffc584783cd098f3ebcae9e34bd75a955
 SHA512 
c29e1e3d098ef29c710bf76c1ef20e54feceb490aa59d20475a7083a276d422a32f4b4ff423a121aa4aa7f83389980e553e1f78c165f111fe00ccac693d96447
+DIST btop-1.2.8.tar.gz 976370 BLAKE2B 
ab71ac322afd84b5b73c5deb9003f319078809d81e2725a7447d2a8fe7539af21c669e7199a3422b2a1cc2ecbd79a46179343e00311f2d56bfa30f51d6340bd3
 SHA512 
4b5a3685ca5cf301cd7d6556bd365892587e6811f8323ca66728022aba7cc3ff95cf591b452151c9431824dc458bc3d09e10474c7c02a944e8931c4585914f5a

diff --git a/sys-process/btop/btop-1.2.8.ebuild 
b/sys-process/btop/btop-1.2.8.ebuild
new file mode 100644
index 000000000000..e1fc710c461d
--- /dev/null
+++ b/sys-process/btop/btop-1.2.8.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs xdg-utils
+
+DESCRIPTION="A monitor of resources"
+HOMEPAGE="https://github.com/aristocratos/btop";
+SRC_URI="https://github.com/aristocratos/btop/archive/refs/tags/v${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+src_prepare() {
+       default
+       # btop installs README.md to /usr/share/btop by default
+       sed -i '/^.*cp -p README.md.*$/d' Makefile || die
+}
+
+src_compile() {
+       # Disable btop optimization flags, since we have our flags in CXXFLAGS
+       emake OPTFLAGS="" CXX="$(tc-getCXX)"
+}
+
+src_install() {
+       emake \
+               PREFIX="${EPREFIX}/usr" \
+               DESTDIR="${D}" \
+               install
+
+       dodoc README.md CHANGELOG.md
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

Reply via email to